> ## Documentation Index
> Fetch the complete documentation index at: https://runpod-b18f5ded-lg-apiv2-new.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List GPU types

> Returns available GPU types with pricing. Availability is included only when requested with include=AVAILABILITY.



## OpenAPI

````yaml get /v2/catalog/gpus
openapi: 3.0.3
info:
  title: RunPod REST API
  version: 2.0.0
  description: RunPod public REST API — v2
servers:
  - url: /
    description: Current server
security:
  - bearerAuth: []
paths:
  /v2/catalog/gpus:
    get:
      tags:
        - Catalog
      summary: List GPU types
      description: >-
        Returns available GPU types with pricing. Availability is included only
        when requested with include=AVAILABILITY.
      operationId: listGpuTypes
      parameters:
        - $ref: '#/components/parameters/CatalogIncludeParam'
        - $ref: '#/components/parameters/GpuProductFilter'
        - $ref: '#/components/parameters/GpuCountFilter'
        - $ref: '#/components/parameters/GpuCloudFilter'
        - $ref: '#/components/parameters/MinCudaVersionFilter'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListGpuTypesResponse'
        default:
          description: Error
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  parameters:
    CatalogIncludeParam:
      name: include
      in: query
      required: false
      description: >-
        Comma-separated optional expansions. Supported value today:
        AVAILABILITY. This may expand with more include values in the future.
      style: form
      explode: false
      schema:
        type: array
        maxItems: 1
        items:
          $ref: '#/components/schemas/CatalogInclude'
      example:
        - AVAILABILITY
    GpuProductFilter:
      name: product
      in: query
      required: false
      description: >-
        Comma-separated availability product contexts. Supported values: POD,
        CLUSTER, SERVERLESS. Valid only with include=AVAILABILITY. Upstream
        default when omitted: POD.
      style: form
      explode: false
      schema:
        type: array
        items:
          $ref: '#/components/schemas/Product'
      example:
        - POD
        - SERVERLESS
    GpuCountFilter:
      name: count
      in: query
      required: false
      description: >-
        GPU count for availability and lowest-price calculations. Valid only
        with include=AVAILABILITY. Defaults to 1.
      schema:
        type: integer
        minimum: 1
        default: 1
      example: 2
    GpuCloudFilter:
      name: cloud
      in: query
      required: false
      description: >-
        Cloud type for availability and lowest-price calculations. Valid only
        with include=AVAILABILITY. Supported values: SECURE, COMMUNITY. Upstream
        default when omitted: SECURE.
      schema:
        $ref: '#/components/schemas/GpuCloudFilter'
    MinCudaVersionFilter:
      name: minCudaVersion
      in: query
      required: false
      description: >-
        Minimum CUDA version for availability and lowest-price calculations.
        Valid only with include=AVAILABILITY. Format: integer major or
        major.minor, e.g. 12 or 12.1.
      schema:
        type: string
      example: '12.1'
  schemas:
    ListGpuTypesResponse:
      type: object
      required:
        - gpus
      properties:
        gpus:
          type: array
          items:
            $ref: '#/components/schemas/GpuType'
    ErrorResponse:
      type: object
      properties:
        title:
          type: string
          description: Short human-readable summary
          example: Not Found
        status:
          type: integer
          description: HTTP status code
          example: 404
        detail:
          type: string
          description: Human-readable explanation
          example: pod not found
    CatalogInclude:
      type: string
      description: >-
        Catalog include expansion. Only AVAILABILITY is supported today;
        additional include values may be added in the future.
      enum:
        - AVAILABILITY
    Product:
      type: string
      description: Catalog product availability context.
      enum:
        - POD
        - CLUSTER
        - SERVERLESS
    GpuCloudFilter:
      type: string
      description: GPU availability cloud filter.
      enum:
        - SECURE
        - COMMUNITY
    GpuType:
      type: object
      required:
        - id
        - name
        - pool
        - manufacturer
        - memory
        - secure
        - community
        - price
        - maxCount
      properties:
        id:
          type: string
          description: Individual GPU type identifier (use for pod creation)
          example: NVIDIA GeForce RTX 4090
        name:
          type: string
          example: RTX 4090
        pool:
          type: string
          nullable: true
          description: >-
            Serverless GPU pool ID (use for serverless endpoint creation). Null
            if GPU is not in a serverless pool.
          example: ADA_24
        manufacturer:
          type: string
          example: NVIDIA
        memory:
          type: integer
          description: VRAM in GB
          example: 24
        secure:
          type: boolean
          description: Available on secure cloud
          example: true
        community:
          type: boolean
          description: Available on community cloud
          example: true
        price:
          type: object
          required:
            - secure
            - community
          properties:
            secure:
              type: number
              format: float
              example: 0.44
            community:
              type: number
              format: float
              example: 0.31
        maxCount:
          type: object
          required:
            - secure
            - community
          properties:
            secure:
              type: integer
              example: 8
            community:
              type: integer
              example: 4
        availability:
          $ref: '#/components/schemas/AvailabilityLevel'
          description: >-
            Overall GPU availability. Present only when requested with
            include=AVAILABILITY.
        dataCenters:
          type: array
          description: >-
            Per-datacenter GPU availability. Present only when requested with
            include=AVAILABILITY.
          items:
            $ref: '#/components/schemas/DataCenterAvailability'
    AvailabilityLevel:
      type: string
      description: Catalog stock availability level.
      enum:
        - NONE
        - LOW
        - MEDIUM
        - HIGH
    DataCenterAvailability:
      type: object
      required:
        - id
        - name
        - availability
      properties:
        id:
          type: string
          description: Data center identifier.
          example: US-CA-2
        name:
          type: string
          description: Human-readable data center name.
          example: US California 2
        availability:
          $ref: '#/components/schemas/AvailabilityLevel'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: RunPod API Key

````